com.h3c.sdn.misc.dsync.net

## Class NodeMessageSyncObj

- java.lang.Object
- - com.h3c.sdn.misc.dsync.AbstractSyncObj<NodeMessageSyncObj>
  - - com.h3c.sdn.misc.dsync.net.NodeMessageSyncObj

- All Implemented Interfaces:
    SyncObj<NodeMessageSyncObj>, Serializable

      public class NodeMessageSyncObj
      extends AbstractSyncObj<NodeMessageSyncObj>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeMessageSyncObj()`
    `NodeMessageSyncObj(List<NodeMessage> nodeMessage, UUID uid)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SyncObj<NodeMessageSyncObj>` | `decode(com.fasterxml.jackson.databind.node.ObjectNode jsonNode)` Convert a given raw ObjectNode to required SyncObject.
    `com.fasterxml.jackson.databind.node.ObjectNode` | `encode(com.fasterxml.jackson.databind.node.ObjectNode rawNode)` Stuffs an empty ObjectNode with desired form of the SyncObj.
    `UUID` | `getUUid()`
    `List<NodeMessage>` | `toNodeMessageList()`

    - ### Methods inherited from class com.h3c.sdn.misc.dsync.AbstractSyncObj

      `isNull, mapper, marshal, unmarshal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeMessageSyncObj

          public NodeMessageSyncObj()

    - #### NodeMessageSyncObj

          public NodeMessageSyncObj(List<NodeMessage> nodeMessage,
                            UUID uid)

  - ### Method Detail

    - #### getUUid

          public UUID getUUid()

    - #### decode

          public SyncObj<NodeMessageSyncObj> decode(com.fasterxml.jackson.databind.node.ObjectNode jsonNode)

      Description copied from class: `AbstractSyncObj`
      Convert a given raw ObjectNode to required SyncObject.
      Specified by:
        `decode` in class `AbstractSyncObj<NodeMessageSyncObj>`
      Parameters:
        `jsonNode` - the raw ObjectNode synthesized from the bytes retrieved from the HA infrastructure.
      Returns:
        the decoded SyncObject

    - #### encode

          public com.fasterxml.jackson.databind.node.ObjectNode encode(com.fasterxml.jackson.databind.node.ObjectNode rawNode)

      Description copied from class: `AbstractSyncObj`
      Stuffs an empty ObjectNode with desired form of the SyncObj. at this point.
      Specified by:
        `encode` in class `AbstractSyncObj<NodeMessageSyncObj>`
      Parameters:
        `rawNode` - the empty ObjectNode that needs to be built on.
      Returns:
        the fully dressed ObjectNode that represents the SyncObj.

    - #### toNodeMessageList

          public List<NodeMessage> toNodeMessageList()

Copyright © 2014. All Rights Reserved.